summaryrefslogtreecommitdiff
path: root/helpers/lh_source_md5sum
diff options
context:
space:
mode:
Diffstat (limited to 'helpers/lh_source_md5sum')
-rwxr-xr-xhelpers/lh_source_md5sum57
1 files changed, 57 insertions, 0 deletions
diff --git a/helpers/lh_source_md5sum b/helpers/lh_source_md5sum
new file mode 100755
index 0000000..70a2854
--- /dev/null
+++ b/helpers/lh_source_md5sum
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+# lh_source_md5sum(1) - create source md5sums
+# Copyright (C) 2006-2007 Daniel Baumann <daniel@debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# Source common functions
+for FUNCTION in /usr/share/live-helper/functions/*.sh
+do
+ . ${FUNCTION}
+done
+
+# Set static variables
+DESCRIPTION="create source md5sums"
+HELP=""
+USAGE="${PROGRAM} [--force]"
+
+Arguments "${@}"
+
+# Reading configuration files
+Read_conffile config/common
+Read_conffile config/image
+Set_defaults
+
+if [ "${LIVE_SOURCE}" = "enabled" ]
+then
+ # Requiring stage file
+ Require_stagefile .stage/source_download
+
+ # Checking lock file
+ Check_lockfile .lock
+
+ # Creating lock file
+ Create_lockfile .lock
+
+ # Checking stage file
+ Check_stagefile .stage/source_md5sum
+
+ # Remove old md5sums
+ if [ -f source/md5sum.txt ]
+ then
+ rm -f source/md5sum.txt
+ fi
+
+ # Calculating md5sums
+ cd source
+ find . -type f -print0 | xargs -0 md5sum > md5sum.txt
+ cd "${OLDPWD}"
+
+ # Creating stage file
+ Create_stagefile .stage/source_md5sum
+fi